Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGDressingData

    java.lang.Object
      de.grogra.mtg.MTGDressingData

Direct Known Subclasses:
  MTGDressingFile

    public class MTGDressingData

extends java.lang.Object

Constructor Summary
`MTGDressingData()`

Method Summary
`float` | `getAlphaUnit()`
`int` | `getAxeDefaultCategory()`
`float` | `getAzimutUnit()`
`void` | `getBranchForm(int category)` Returns Form for calculation of coordinates for branch of the given category.
`float` | `getDefaultAlpha()`
`int` | `getDefaultCategory()`
`float` | `getDefaultDistance()`
`int` | `getDefaultEdge()`
`float` | `getDefaultFlowerAlpha()`
`float` | `getDefaultFlowerBeta()`
`float` | `getDefaultFlowerBottomDia()`
`float` | `getDefaultFlowerLength()`
`float` | `getDefaultFlowerTopDia()`
`float` | `getDefaultFruitAlpha()`
`float` | `getDefaultFruitBeta()`
`float` | `getDefaultFruitBottomDia()`
`float` | `getDefaultFruitLength()`
`float` | `getDefaultFruitTopDia()`
`float` | `getDefaultLeafAlpha()`
`float` | `getDefaultLeafBeta()`
`float` | `getDefaultLeafBottomDia()`
`float` | `getDefaultLeafLength()`
`float` | `getDefaultLeafTopDia()`
`float` | `getDefaultPhi()`
`float` | `getDefaultPsi()`
`float` | `getDefaultTeta()`
`int` | `getDefaultVerticille()`
`float` | `getDeltaIndex()`
`float` | `getDiametersUnit()`
`float` | `getElementLength()`
`char` | `getFlowerSymbol()`
`char` | `getFruitSymbol()`
`char` | `getLeafSymbol()`
`float` | `getLengthUnit()`
`float` | `getMaxTresholdBlue()`
`float` | `getMaxTresholdGreen()`
`float` | `getMaxTresholdRed()`
`float` | `getMediumTresholdBlue()`
`float` | `getMediumTresholdGreen()`
`float` | `getMediumTresholdRed()`
`float` | `getMinBotDia(java.lang.String classSymbol)`
`float` | `getMinLength(java.lang.String classSymbol)`
`float` | `getMinTopDia(java.lang.String classSymbol)`
`float` | `getMinTresholdBlue()`
`float` | `getMinTresholdGreen()`
`float` | `getMinTresholdRed()`
`float` | `getNbLeaves()`
`float` | `getNbPlantsPerLine()`
`float` | `getNbTours()`
`float` | `getPhillotaxy()`
`float` | `getPhiUnit()`
`float` | `getPsiUnit()`
`float` | `getTetaUnit()`
`boolean` | `isAlphaRelative()`
`boolean` | `isIndicePhillotaxy()`
`java.lang.String` | `symbolPath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MTGDressingData

    public MTGDressingData()

Method Detail

### getAlphaUnit

    public float getAlphaUnit()

### getAxeDefaultCategory

    public int getAxeDefaultCategory()

### getAzimutUnit

    public float getAzimutUnit()

### getBranchForm

    public void getBranchForm(int category)

  Returns Form for calculation of coordinates for branch of the given category. TODO: implementation

  Parameters:
    `category` -

### getDefaultAlpha

    public float getDefaultAlpha()

### getDefaultCategory

    public int getDefaultCategory()

### getDefaultDistance

    public float getDefaultDistance()

### getDefaultEdge

    public int getDefaultEdge()

### getDefaultFlowerAlpha

    public float getDefaultFlowerAlpha()

### getDefaultFlowerBeta

    public float getDefaultFlowerBeta()

### getDefaultFlowerBottomDia

    public float getDefaultFlowerBottomDia()

### getDefaultFlowerLength

    public float getDefaultFlowerLength()

### getDefaultFlowerTopDia

    public float getDefaultFlowerTopDia()

### getDefaultFruitAlpha

    public float getDefaultFruitAlpha()

### getDefaultFruitBeta

    public float getDefaultFruitBeta()

### getDefaultFruitBottomDia

    public float getDefaultFruitBottomDia()

### getDefaultFruitLength

    public float getDefaultFruitLength()

### getDefaultFruitTopDia

    public float getDefaultFruitTopDia()

### getDefaultLeafAlpha

    public float getDefaultLeafAlpha()

### getDefaultLeafBeta

    public float getDefaultLeafBeta()

### getDefaultLeafBottomDia

    public float getDefaultLeafBottomDia()

### getDefaultLeafLength

    public float getDefaultLeafLength()

### getDefaultLeafTopDia

    public float getDefaultLeafTopDia()

### getDefaultPhi

    public float getDefaultPhi()

### getDefaultPsi

    public float getDefaultPsi()

### getDefaultTeta

    public float getDefaultTeta()

### getDefaultVerticille

    public int getDefaultVerticille()

### getDeltaIndex

    public float getDeltaIndex()

### getDiametersUnit

    public float getDiametersUnit()

### getElementLength

    public float getElementLength()

### getFlowerSymbol

    public char getFlowerSymbol()

### getFruitSymbol

    public char getFruitSymbol()

### getLeafSymbol

    public char getLeafSymbol()

### getLengthUnit

    public float getLengthUnit()

### getMaxTresholdBlue

    public float getMaxTresholdBlue()

### getMaxTresholdGreen

    public float getMaxTresholdGreen()

### getMaxTresholdRed

    public float getMaxTresholdRed()

### getMediumTresholdBlue

    public float getMediumTresholdBlue()

### getMediumTresholdGreen

    public float getMediumTresholdGreen()

### getMediumTresholdRed

    public float getMediumTresholdRed()

### getMinBotDia

    public float getMinBotDia(java.lang.String classSymbol)

### getMinLength

    public float getMinLength(java.lang.String classSymbol)

### getMinTopDia

    public float getMinTopDia(java.lang.String classSymbol)

### getMinTresholdBlue

    public float getMinTresholdBlue()

### getMinTresholdGreen

    public float getMinTresholdGreen()

### getMinTresholdRed

    public float getMinTresholdRed()

### getNbLeaves

    public float getNbLeaves()

### getNbPlantsPerLine

    public float getNbPlantsPerLine()

### getNbTours

    public float getNbTours()

### getPhillotaxy

    public float getPhillotaxy()

### getPhiUnit

    public float getPhiUnit()

### getPsiUnit

    public float getPsiUnit()

### getTetaUnit

    public float getTetaUnit()

### isAlphaRelative

    public boolean isAlphaRelative()

### isIndicePhillotaxy

    public boolean isIndicePhillotaxy()

### symbolPath

    public java.lang.String symbolPath()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD